// Using chrome. instead of browser. so that the test can also be run in Chromium.

chrome.pageAction.onClicked.addListener(function(tab) {
    console.log(`Going to executeScript in ${tab.id} ${tab.url}`);
    chrome.tabs.executeScript(tab.id, {
        code: `alert("Dialog in " + document.URL);1`,
    }, (results) => {
        if (chrome.runtime.lastError) {
            console.error(`Failed to executeScript: ${chrome.runtime.lastError.message}`);
            return;
        }
        if (!results || !results.length || results[0] !== 1) {
            console.error(`Unexpected executeScript result: ${results}`);
            return;
        }
        console.log("executeScript successful!");
    });
});

chrome.webNavigation.onCommitted.addListener(function(details) {
    console.log(`Detected navigation to ${details.url}`);
    chrome.pageAction.show(details.tabId);
}, {
    url: [{hostEquals: "example.com"}],
});
